cancel
Showing results for 
Search instead for 
Did you mean: 

Using Expect on Tru64 5.1a

Herr Ing. RUEHRNESSEL
Respected Contributor

Using Expect on Tru64 5.1a

I'd like to script Telnet Sessions to different Systems from one central management workstation and found EXPECT to be the right solution. I downloaded expect from expect.nist.gov but i'm not able to make it working. I would like to ask if somebody has some kind of "cook book" or "how to"-guide to make expect perfectly running on Tru64 5.1a (Patch Kit 2). Are there any precompiled versions available?

Regards
Manfred
1 REPLY
John Daley
Occasional Advisor

Re: Using Expect on Tru64 5.1a

I downloaded expect 5.38 from nist.gov, but before installing I downloaded tcl 8.4.3 from sourceforge and installed that. Put the tcl source directory in the same directory as the expect source directory, eg

/usr/kits/expect5.38
/usr/kits/tcl8.4.3

Set CC=cc in your environment, build and install tcl, then expect. I did, and could then run the example (in the expect kit)

/usr/local/bin/expect beer.exp

:)

On an Alphaserver SC system I found that expect is installed from SRATCL200, Compaq AlphaServer SC Tcl Extensions. Don't know of any other binary version for Alphas.